Bug 162542 - Valgrind missing helgrind tool
Valgrind missing helgrind tool
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 19:09 EDT by Graham Hudspith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-05 19:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Hudspith 2005-07-05 19:09:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Trying to debug some threaded programs, tried using the helgrind tool, part of valgrind.

It's not there.


Version-Release number of selected component (if applicable):
valgrind-2.4.0-2

How reproducible:
Always

Steps to Reproduce:
[root@snowball ~]# valgrind --tool=helgrind /bin/ls

Actual Results:  Can't open tool "helgrind": /usr/lib/valgrind/vgskin_helgrind.so: cannot open shared object file: No such file or directory
valgrind: couldn't load tool
Available tools:
        callgrind
        massif
        lackey
        cachegrind
        memcheck
        corecheck
        none
        addrcheck


Expected Results:  The tool to be present!

Additional info:
Comment 1 Jakub Jelinek 2005-07-05 19:28:26 EDT
How about reading the release notes of the package?
Stable release 2.4.0 (March 2005) -- CHANGES RELATIVE TO 2.2.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2.4.0 brings many significant changes and bug fixes.  The most
significant user-visible change is that we no longer supply our own
pthread implementation.  Instead, Valgrind is finally capable of
running the native thread library, either LinuxThreads or NPTL.

This means our libpthread has gone, along with the bugs associated
with it.  Valgrind now supports the kernel's threading syscalls, and
lets you use your standard system libpthread.  As a result:

* There are many fewer system dependencies and strange library-related
  bugs.  There is a small performance improvement, and a large
  stability improvement.

* On the downside, Valgrind can no longer report misuses of the POSIX
  PThreads API.  It also means that Helgrind currently does not work.
  We hope to fix these problems in a future release.
...
Comment 2 Graham Hudspith 2005-07-15 04:49:02 EDT
Humph!

My mistake was to read the online documentation:

http://valgrind.org/docs/manual/hg_main.html#hg-top

It's only when you go to the "top" of the documentation:

http://valgrind.org/docs/manual/manual.html

that you notice that it is for version 2.2.0 and was last updated 31 August 2004.

Ho hum.

Note You need to log in before you can comment on or make changes to this bug.